<?php

// Desabilitar exibição de erros (para produção)
ini_set("display_errors", 0);
ini_set("display_startup_errors", 0);
error_reporting(32767);

// Conectar ao banco de dados SQLite
$db = new SQLite3("./api/data/.boxbr_user.db");

// Consultar o usuário com id=1
$res = $db->query("SELECT * FROM USERS WHERE id='1'");
$row = $res->fetchArray();

// Mensagem de feedback
$message = "Admin Login Updated!";

// Verificar se o formulário foi submetido
if(isset($_POST["submit"])) {
    // Extrair parte do URI para uso na sessão
    $dircheck0 = substr($_SERVER["REQUEST_URI"], 0, strrpos($_SERVER["REQUEST_URI"], "/"));
    $dircheck22 = substr($dircheck0, 1);
    $postu2 = $_POST["username"] . $dircheck22;

    // Atualizar o usuário no banco de dados
    // **Recomendação:** Utilize *prepared statements* para evitar SQL Injection
    $stmt = $db->prepare("UPDATE USERS SET USERNAME = :username, PASSWORD = :password WHERE id = :id");
    $stmt->bindValue(':username', $_POST["username"], SQLITE3_TEXT);
    $stmt->bindValue(':password', $_POST["password"], SQLITE3_TEXT);
    $stmt->bindValue(':id', 1, SQLITE3_INTEGER); // id=1 fixo conforme consulta
    $stmt->execute();

    // Iniciar sessão e definir variáveis de sessão
    session_start();
    session_regenerate_id();
    $_SESSION["boxbr"] = true;
    $_SESSION["id"] = "1";
    $_SESSION[$postu2] = $postu2;
    $_SESSION[$dircheck22] = $dircheck22;
    $_SESSION["U"] = $_POST["username"];

    // Redirecionar com mensagem de sucesso
    header("Location: edit_user.php?message=" . urlencode($message));
    exit();
}

// Incluir o cabeçalho da página
include "includes/header.php";

// Exibir mensagem de feedback, se existir
if(isset($_GET["message"])) {
    echo '<div class="alert alert-info bg-primary py-3" id="flash-msg">';
    echo '<h4 align="center" class="m-0 font-weight-bold text-white">';
    echo '<i class="icon fa fa-check"></i><b> ' . htmlspecialchars($_GET["message"]) . ' </b>';
    echo '</h4></div>';
}

?>
<!-- [ Main Content ] start -->
<div class="pcoded-main-container">
    <div class="pcoded-wrapper">
        <div class="pcoded-content">
            <div class="pcoded-inner-content">
                <div class="main-body">
                    <div class="page-wrapper">
                        <!-- [ Main Content ] start -->
                        <div class="row">
                            <!-- Column -->
                            <div class="col-lg-12">
                                <div class="card mb-4">
                                    <div class="card-header bg-primary py-3">
                                        <h4 align="center" class="m-0 font-weight-bold text-white">
                                            <i class="fas fa-user-tie" style="font-size:20px">&nbsp;&nbsp;</i>Edit Admin - Username and Password
                                        </h4>
                                    </div>
                                    <div class="card-body">
                                        <form method="post">
                                            <div class="form-group mb-3">
                                                <label class="control-label" for="username">
                                                    <strong>Username</strong>
                                                </label>
                                                <div class="input-group">
                                                    <input class="form-control text-primary" id="username" name="username" value="<?php echo htmlspecialchars($row["USERNAME"]); ?>" type="text" required/>
                                                </div>
                                            </div>
                                            <div class="form-group mb-3">
                                                <label class="control-label" for="password">
                                                    <strong>Password</strong>
                                                </label>
                                                <div class="input-group">
                                                    <input type="password" class="form-control text-primary" name="password" id="password" value="<?php echo htmlspecialchars($row["PASSWORD"]); ?>" required/>
                                                </div>
                                            </div>
                                            <div align="center" class="form-group mb-3">
                                                <br>
                                                <div>
                                                    <button class="btn btn-danger btn-icon-split" name="submit" type="submit">
                                                        <span class="icon text-white-50"><i class="fas fa-save"></i>&nbsp;&nbsp;</span>
                                                        <span class="text"> Save Settings</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </form> 
                                    </div>
                                </div>
                            </div>
                            <!-- Column -->
                        </div>
                    </div>
                    <!-- ============================================================== -->
                    <!-- End Container fluid  -->
                    <!-- ============================================================== -->
                </div>
                <!-- ============================================================== -->
                <!-- End Page wrapper  -->
                <!-- ============================================================== -->
            </div>
        </div>
    </div>
</div>
<?php
// Incluir funções ou footer
include "includes/functions.php";
?>
